Wide Studio Object Reference

Wide Studio Home
Up to

## Class Name

WSCfileSelect

## Specification of methods

### getFileName method

Form
  char* getFileName()
Function
  Returns the selected file name.
Description
Parameters
  None.
Return value
  Returns the file name.
Notice
  The file name is the full path name. Do not release this. It is possible to get the pure file name by the WSNfileName property, and to get the directory name by the WSNdirName property.
Samples

      #include <WSCfileSelect.h>
      extern WSCfileSelect* newfsel_000;
      void sample_proc(WSCbase* object){
        //popup the file selection dialog up.
        long ret = newfsel_000->popup();
        //if a file is selected...
        if (ret == WS_DIALOG_OK){
          //get its file name.
          char* fname = fselect->getFileName();
        }
      }

Document Release 3.70
For use with Wide Studio Release 3.70, Spring 2004

Wide Studio Home | Up to

Copyright(C) WideStudio Development Team, 1999-2004 |  | Last modified: May 25, 2004